Share and Storage Management

Share and Storage Management provides a central location for you to manage shared resources, such as folders and volumes, as well as storage resources.

  • Overview of Share and Storage Management

  • Provisioning Shared Resources

  • Provisioning Storage

  • Managing an Existing Shared Resource

  • Managing Permissions for Shared Folders

  • Managing an Existing Volume

  • Managing Shared Resources and Storage on a Remote Computer

  • Troubleshooting Share and Storage Management


Overview of Share and Storage Management

Share and Storage Management provides a centralized location for you to manage two important server resources:

  • Folders and volumes that are shared on the network

  • Volumes in disks and storage subsystems

Shared resources management

You can share the content of folders and volumes on your server over the network using the Provision a Shared Folder Wizard, which is available in Share and Storage Management. This wizard guides you through the necessary steps to share a folder or volume and assign all applicable properties to it. With the wizard, you can:

  • Specify the folder or volume that you want to share or create a new folder to share.

  • Specify the network sharing protocol used to access the shared resource.

  • Change the local NTFS permissions for the folder or volume you will be sharing.

  • Specify the share access permissions, user limits, and offline access to files in the shared resource.

  • Publish the shared resource to a Distributed File System (DFS) namespace.

  • If Services for Network File System (NFS) has been installed, specify NFS-based access permissions for the shared resource.

  • If File Server Resource Manager is installed on your server, apply storage quotas to the new shared resource, and create file screens to limit the type of files that can be stored in it.

Using Share and Storage Management, you can also monitor and modify important aspects of your new and existing shared resources. You can:

  • Stop the sharing of a folder or volume.

  • Change the local NTFS permissions for a folder or volume.

  • Change the share access permissions, offline availability, and other properties of a shared resource.

  • See which users are currently accessing a folder or a file and disconnect a user if necessary.

  • If Services for Network File System (NFS) has been installed, change the NFS-based access permissions for a shared resource.

For more information about using Share and Storage Management to manage shared resources, see Provisioning Shared Resources.

Storage management

With Share and Storage Management, you can provision storage on disks that are available on your server, or on storage subsystems that support Virtual Disk Service (VDS). The Provision Storage Wizard guides you through the process of creating a volume on an existing disk, or on a storage subsystem attached to your server. If the volume is going to be created on a storage subsystem, the wizard will also guide you through the process of creating a logical unit number (LUN) to host that volume. You also have the option of only creating the LUN, and using Disk Management to create the volume later.

Share and Storage Management also helps you monitor and manage the volumes that you have created, as well as any other volumes that are available on your server. Using Share and Storage Management you can:

  • Extend the size of a volume.

  • Format a volume.

  • Delete a volume.

  • Change volume properties like compression, security, offline availability and indexing.

  • Access disk tools for error checking, defragmentation, and backup.

For more information about using Share and Storage Management to manage storage resources, see Provisioning Storage.

Additional references

  • Share and Storage Management

  • Provisioning Shared Resources

  • Provisioning Storage

  • Managing an Existing Shared Resource

  • Managing Permissions for Shared Folders

  • Managing an Existing Volume

  • Managing Shared Resources and Storage on a Remote Computer

  • Troubleshooting Share and Storage Management


Provisioning Shared Resources

You can use Share and Storage Management to set up shared resources on your server, such as folders and volumes. With the Provision a Shared Folder Wizard, you can start sharing a volume or a folder, configure access permissions, and assign quotas and file screens to it.

This section includes the following topic:

  • Share a Resource

Additional references

  • Share and Storage Management


Share a Resource

You can use the Provision a Shared Folder Wizard in Share and Storage Management to share the content of folders and volumes in your server over the network. With this wizard, you can:

  • Specify the folder or volume that you want to share or create a new folder to share.

  • Specify the network sharing protocol that will be used to access the shared resource.

  • Change the local NTFS permissions for the folder or volume that you will be sharing.

  • Specify share access permissions, user limits, and offline access to files in the shared resource.

  • Publish the shared resource to a Distributed File System (DFS) namespace.

  • If Services for Network File System (NFS) has been installed, specify NFS-based access permissions for the shared resource.

  • If File Server Resource Manager has been installed, apply storage quotas to the new shared resource, and create file screens to limit the type of files that can be stored in it.

Membership in Administrators, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To share a folder or volume

  1. In the Actions pane, click Provision Share.

  2. Follow the steps in the Provision a Shared Folder Wizard to create and configure a shared resource.

Additional considerations

  • To open Share and Storage Management, click Start, point to Administrative Tools, and then click Share and Storage Management.

Additional references

  • Managing an Existing Shared Resource

  • Provisioning Shared Resources


Provisioning Storage

You can use Share and Storage Management to set up and manage storage resources on your server. With the Provision Storage Wizard, you can create volumes on disks that are available on the server, or on storage subsystems that support Virtual Disk Service (VDS). You can also use the Provision Storage Wizard to create LUNs on storage subsystems.

This section includes the following topics:

  • Provision a Volume

  • Provision a LUN

  • Support for Multipath I/O (MPIO)

Additional references

  • Share and Storage Management


Provision a Volume

You can use the Provision Storage Wizard in Share and Storage Management to create a volume on one or more available disks on your server, if they have enough unallocated space. With this wizard, you can:

  • Choose the disk on which the volume will be created.

  • Specify the size of the volume.

  • Assign a drive letter or a mount point to the volume.

  • Format the volume.

Membership in Administrators, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To provision a volume

  1. In the Actions pane, click Provision Storage.

  2. On the Storage Source page, select the On one or more disks available on this server option, and click Next.

  3. Follow the steps in the wizard to create and configure the volume.

Additional considerations

  • If there is no unallocated space on any of the available disks on your server, the On one or more disks available on this server option in the Provision Storage Wizard will not be available.

  • You can only create a volume on a disk that is online.

  • To create a volume on a storage subsystem, you must first create a LUN on that storage subsystem and make it available to your server. For more information, see Provision a LUN.

  • To open Share and Storage Management, click Start, point to Administrative Tools, and then click Share and Storage Management.

Additional references

  • Managing an Existing Volume

  • Provisioning Storage


Provision a LUN

You can use the Provision Storage Wizard in Share and Storage Management to create logical unit numbers (LUNs) on Fibre Channel and iSCSI disk drive subsystems that are connected to your server. You can then assign the LUN to your server or to other servers on the network. While creating the LUN, you can also create a volume on that LUN and format it.

A LUN is a logical reference to a portion of a storage subsystem. A LUN can comprise a disk, a section of a disk, a whole disk array, or a section of a disk array in the subsystem. Using LUNs simplifies the management of storage resources because they serve as logical identifiers through which you can assign access and control privileges.

To provision a LUN on a disk storage subsystem, you need to first verify that all the following requirements are met:

  • The storage subsystem supports Virtual Disk Service (VDS).

  • The VDS hardware provider for the storage subsystem is installed on your server.

  • There is storage space available on the subsystem.

  • The storage subsystem is attached directly to your server or is accessible over the network.

  • If you want to assign the LUN to a server or cluster other than the server on which you run the wizard, the server connections have been configured by using Storage Manager for SANs. For more information, see Manage Server Connections (http://go.microsoft.com/fwlink/?LinkId=94431).

    Note

    Storage Manager for SANs is an optional feature and is not installed by default. If you have not already installed it, you can do so using Server Manager (in the Features node, click Add Features).

  • If the LUN that you are creating is on an iSCSI subsystem, the iSCSI initiators and targets in your SAN have been configured. For more information about iSCSI, see http://go.microsoft.com/fwlink/?LinkId=93543.

  • If the server that you will be assigning the LUN to will access the LUN through more than one Fibre Channel port or iSCSI initiator, Multipath I/O has been installed and is running on that server.

    Caution

    Data loss can occur if you assign the LUN to a server that does not have Multipath I/O installed and that will access the LUN through more than one Fibre Channel port or iSCSI initiator. For more information, see Support for Multipath I/O (MPIO).

  • If you want to assign the LUN to a cluster, the cluster has been fully configured by installing Failover Clustering.

    Caution

    To prevent data loss, make sure that each server is a member of only one cluster and that Failover Clustering has been installed on each server in the cluster. For more information about installing Failover Clustering, see http://go.microsoft.com/fwlink/?LinkId=86168.

Membership in Administrators, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To provision storage

  1. In the Actions pane, click Provision Storage.

  2. On the Storage Source page, select the On a storage subsystem option, and click Next.

  3. Follow the steps in the wizard to create and configure the LUN.

Additional considerations

  • If there are no disk storage subsystems connected to your server, the VDS hardware providers are not installed, or there is no storage space available in any of the subsystems, the On a storage subsystem option in the Provision Storage Wizard will not be available.

  • If you create a LUN but do not create a volume on it, you can use Disk Management to create the volume later.

  • To open Share and Storage Management, click Start, point to Administrative Tools, and then click Share and Storage Management.

Additional references

  • Managing an Existing Volume

  • Provisioning Storage


Support for Multipath I/O (MPIO)

Multipath I/O (MPIO) is a feature that provides support for using multiple data paths to a storage device. Multipathing increases the availability of storage resources by providing path failover from a server or cluster to a storage subsystem.

You must install MPIO on a server if it will access a logical unit number (LUN) through multiple Fibre Channel ports or multiple iSCSI initiator adapters. To install MPIO, follow the steps in the procedure that follows.

Caution

To prevent data loss, ensure that the server supports MPIO before you enable multiple Fibre Channel ports or iSCSI initiator adapters for LUN access. If the server does not support MPIO, or if you are not sure, enable only a single Fibre Channel port or iSCSI initiator adapter on the server.

Caution

If you will be enabling access to a LUN from a cluster, ensure that Failover Clustering has been properly installed on each server in the cluster, or data loss can occur. For more information about installing Failover Clustering, see http://go.microsoft.com/fwlink/?LinkId=86168.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To install MPIO

  1. In the Server Manager console tree, click the Features node.

  2. In the Features pane, under Features Summary, click Add Features.

  3. In the Add Features Wizard, select the Multipath I/O check box, and click Next.

  4. Follow the steps in the Add Features Wizard.

Additional references

  • For more information about MPIO, see http://go.microsoft.com/fwlink/?LinkId=81020.


Managing an Existing Shared Resource

You can use Share and Storage Management to manage all shared folders and volumes that are available on your server. The Shares tab provides a list of all the shared resources that can be managed.

You can also see which users are currently accessing a folder or file on your server and disconnect a user if necessary.

This section includes the following topics:

  • View and Modify Shared Folder Properties

  • Stop Sharing a Resource

  • Configure Offline Availability for a Shared Folder

  • Manage Sessions and Open Files

Additional references

  • Provisioning Shared Resources


View and Modify Shared Folder Properties

You can use Share and Storage Management to view and modify the properties of a shared folder or volume, including the local NTFS permissions and the network access permissions for that shared resource.

Membership in Administrators, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To view or modify the properties of a shared folder or volume

  1. On the Shares tab, click the Server Message Block (SMB) or Network File System (NFS) shared folder or volume for which you want to view or modify properties.

  2. In the Actions pane, click Properties.

  3. Modify settings as appropriate, and then click OK.

Additional considerations

  • For information about access permissions for shared resources, see Managing Permissions for Shared Folders.

  • You cannot modify the access permissions of folders or volumes shared for administrative purposes, such as C$ and ADMIN$.

  • To open Share and Storage Management, click Start, point to Administrative Tools, and then click Share and Storage Management.

Additional references

  • Managing an Existing Shared Resource

  • Provisioning Shared Resources


Stop Sharing a Resource

You can stop sharing a folder or volume listed on the Shares tab in Share and Storage Management. If a folder or volume is shared for access by both the Server Message Block (SMB) and Network File System (NFS) protocols, you must stop sharing for each protocol individually.

Caution

If you stop sharing a folder or volume that is in use, data corruption can occur. Before you stop sharing a resource, verify that it is not in use and that no users are connected to it. For more information about how you can determine which network users are currently accessing folders or files on your server, see Manage Sessions and Open Files.

Membership in Administrators, or equivalent, is the minimum required to complete these procedures. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To stop sharing a folder or volume

  1. On the Shares tab, click the SMB or NFS shared folder or volume that you want to stop sharing.

  2. In the Actions pane, click Stop Sharing.

  3. When prompted to confirm the action, review the warning and, if you still want to continue, click Yes.

Additional considerations

  • To open Share and Storage Management, click Start, point to Administrative Tools, and then click Share and Storage Management.

Additional references

  • Managing an Existing Shared Resource

  • Provisioning Shared Resources


Configure Offline Availability for a Shared Folder

With Share and Storage Management, you can configure if and how files and programs in a shared folder or volume will be available offline. Users can use the Offline Files feature on their client computers to work with shared folders stored on a server, even when they are not connected to the network. To make shared network folders available offline, Offline Files stores a version of those shared folders in a reserved portion of the disk on the user's computer (a local cache).

You can also use Share and Storage Management to enable BranchCache on shared folders. The BranchCache feature in Windows® 7 or Windows Server 2008 R2 enables computers in a branch office to cache files downloaded from this shared folder, and then securely serve the files to other computers in the branch.

Important

When you create a shared folder, offline availability is allowed by default, which means that secure folders can be stored offline on potentially non secure computers. For best security, do not allow users to store files offline. If you do, consider encrypting the operating system volume using Windows® BitLocker™ Drive Encryption. For more information, see the BitLocker Drive Encryption page of the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=141534).

Configuring offline settings

Membership in Administrators, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To configure offline settings for a shared folder

  1. On the Shares tab, under Protocol: SMB, right-click the shared folder for which you want to configure offline settings, and then click Properties.

  2. On the Sharing tab, click Advanced.

  3. On the Caching tab, configure offline availability options as appropriate, and then click OK.

Offline availability options

You can choose one of the following offline availability options for each shared folder:

  • Only the files and programs that users specify are available offline. This is the default option when you set up a shared folder. With this option, no files or programs are available offline by default, and users control which files and programs they want to access when they are not connected to the network.

    • Enable BranchCache Enables computers in a branch office to cache files downloaded from this shared folder and then securely serve the files to other computers in the branch office.

  • No files or programs from the share are available offline. This option blocks Offline Files on the client computers from making copies of the files and programs on the shared folder.

  • All files and programs that users open from the share are automatically available offline. Whenever a user accesses the shared folder or volume and opens a file or program in it, that file or program will be automatically made available offline to that user. Files and programs that are automatically made available offline will remain in the Offline Files cache and synchronize with the version on the server until the cache gets full or the user deletes the files. Files and programs that are not opened are not available offline.

    If you select the Optimized for performance check box, executable files (EXE, DLL) that are run from the shared folder by a client computer are automatically cached on that client computer. The next time the client computer needs to run those same executable files, it will access its local cache instead of the shared folder on the server. This option is especially useful for file servers that host applications, because it reduces network traffic and improves server scalability.

    Note

    The Offline Files feature must be enabled on the client computer for files and programs to be automatically cached. Additionally, the Optimized for performance option does not have any effect on client computers using Windows Vista or newer.

Additional considerations

  • To open Share and Storage Management, click Start, point to Administrative Tools, and then click Share and Storage Management.

Additional references

  • BranchCache Deployment Guide

  • Managing Permissions for Shared Folders

  • Managing an Existing Shared Resource


Manage Sessions and Open Files

When a user accesses a folder or file stored on your server over the network, a session is opened for that user. Each folder or file accessed during a session can be monitored and managed separately.

With Share and Storage Management, you can determine which network users are currently accessing folders or files on your server, and disconnect a user if necessary. You can also close specific folders or files that are being accessed by a network user, without closing other files accessed by that same user.

Caution

Users may lose data if they are disconnected without warning. When possible, notify users before disconnecting them, or before closing a folder or file.

Membership in Administrators, or equivalent, is the minimum required to complete these procedures. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To view and close open sessions

  1. In the Actions pane, click Manage Sessions.

  2. To close a specific session, select the session and click Close Selected.

    -Or-

    To close all sessions, click Close All.
To view and close open files

  1. In the Actions pane, click Manage Open Files.

  2. To close a specific file, select the file and click Close Selected.

    -Or-

    To close all files, click Close All.

Additional considerations

  • To open Share and Storage Management, click Start, point to Administrative Tools, and then click Share and Storage Management.

Additional references

  • Managing an Existing Shared Resource

  • Provisioning Shared Resources


Managing Permissions for Shared Folders

Permissions on a shared resource, such as a folder or volume, are determined by the local NTFS permissions for that resource and by the protocol used to access the shared resource:

  • Server Message Block (SMB) protocol

    SMB–based access control (for Windows-based file systems) is implemented by granting permissions to the individual users and groups.

  • Network File System (NFS) protocol

    NFS–based access control (for UNIX-based file systems) is implemented by granting permissions to specific client computers and groups, using network names.

The final access permissions for a shared resource are determined by considering both the NTFS permissions and the sharing protocol permissions, and then applying the more restrictive permissions. If you enable access-based enumeration on an SMB-based shared folder, Windows hides files and folders for which users do not have Read permissions.

You can configure permissions and enable access-based enumeration for a shared resource when you create a new shared folder or volume using the Provisioning a Shared Folder Wizard, or by selecting an existing shared resource and clicking Properties in the Actions pane.

This topic discusses the following subjects:

  • NTFS permissions

  • SMB permissions

  • NFS permissions

  • Access-based enumeration

For information about using the Provisioning a Shared Folder Wizard, see Share a Resource. For information about configuring properties for an existing shared resource, see View and Modify Shared Folder Properties.

NTFS permissions

You can configure the local NTFS permissions for a shared folder or volume using Share and Storage Management in the following ways:

  • New shared resources. In the Provision a Shared Folder Wizard, before you select a network sharing protocol, you can change the NTFS permissions for the folder or volume you will be sharing. These NTFS permissions will apply both locally and when accessing the resource over the network. To change the NTFS permissions, on the NTFS Permissions page, select Yes, change NTFS permissions, and then click Edit Permissions.

  • Existing shared resources. You can change the NTFS permissions of a shared folder or volume listed on the Shares tab. To change the NTFS permissions, select the folder or volume, in the Actions pane click Properties, and on the Permissions tab, click NTFS Permissions.

Note

For more information about NTFS permissions, click Learn about access control and permissions on the property page that opens when you click NTFS Permissions.

SMB permissions

SMB–based access control for a shared resource is determined through two sets of permissions: NTFS permissions and share permissions. Share permissions are often only used for access control on computers that do not use the NTFS file system.

NTFS permissions and share permissions are independent in the sense that neither changes the other, and the most restrictive of the two will be applied to the shared resource.

Using Share and Storage Management, you can specify share permissions for SMB-based shared resources in the following ways:

  • New shared resources. In the Provision a Shared Folder Wizard, if you select SMB as a share protocol, you can specify the following SMB-based access permissions on the SMB Permissions page:

    • All users and groups have only Read access. The resulting permission will be Read for the Everyone group.

    • Administrators have Full Control; all other users and groups have only Read access. The Administrators group will have Full Control permission, while the Everyone group will be granted Read permission.

    • Administrators have Full Control; all other users and groups have only Read access and Write access. The Administrators group will have Full Control permission, while the Everyone group will be granted both Read and Write permissions.

    • Users and groups have custom share permissions. To use this option, you must specify each group and user that is to have share access, as well as the specific share permissions (Full Control, Change, Read) to be granted or denied to each.

  • Existing shared resources. You can change the share permissions of a shared folder or volume listed under Protocol: SMB on the Shares tab. To change the share permissions, select the folder or volume, in the Actions pane click Properties, and on the Permissions tab, click Share Permissions.

Note

For more information about share access permissions, click Learn about access control and permissions on the property page that opens when you click Share Permissions.

NFS permissions

NFS-based access control for a shared resource is determined based on network names and groups. To use NFS permissions, you must first install the Services for Network File System (NFS) role service using Server Manager. After installing Services for NFS, use NFSAdmin.exe to create client groups and to add client computers to those groups before configuring NFS share permissions.

Note

For information about Kerberos authentication options, see http://go.microsoft.com/fwlink/?LinkId=143906. For more information about Services for NFS and NFSAdmin.exe, view the local Help content for this role service by typing the following command at a command prompt: hh nfs__lh.chm (with two underscores).

Using Share and Storage Management, you can then specify share permissions for NFS-based shared resources in the following ways:

  • New shared resources. In the Provision a Shared Folder Wizard, if you select NFS as a share protocol, the NFS Permissions page is available in the wizard. You specify whether access is to be controlled by a specific client computer (host), or by a client group. To set up NFS permissions on a shared resource, you can do the following:

    • Add, edit, or remove permissions for client groups and hosts. The default is read-only access for the ALL MACHINES group. You can add any client group or host that has been previously created (using NFSAdmin.exe) and grant appropriate permissions to each (no access, read-only, read-write).

      Also, you can select the Allow root access option for each client group and host—however, we do not recommend this because it poses a security risk.

    • Specify whether to allow anonymous access for the shared resource. For security reasons, this is not enabled by default. Although anonymous access can be useful for troubleshooting or in test environments, we do not recommend it for general use.

      To allow anonymous access, the Provision a Shared Folder Wizard modifies NTFS permissions on the folder or volume to grant access to the Everyone security group.

      Enabling anonymous access also enables the Let Everyone permissions apply to anonymous users security policy, which effectively adds the Anonymous Logon principle to the Everyone security group. This allows anonymous users to pass through folders to which they otherwise have no access while navigating an object path in the shared folder—although it does not allow the user to list the contents of any folder to which access has not been granted.

      Note

      Disabling anonymous access does not disable the Let Everyone permissions apply to anonymous users security policy.

  • Existing shared resources. You can change the NFS permissions of a shared folder or volume listed under Protocol: NFS on the Shares tab. To change the share permissions, click the folder or volume, in the Actions pane click Properties, and on the Permissions tab, click NFS Permissions. To configure permissions, you add, edit, or remove permissions for each individual client group or host for which you want to configure access.

Access-based enumeration

Access-based enumeration allows users to see only the files and folders in an SMB-based shared folder to which they have permission to access. If a user does not have Read permissions for a folder, Windows hides the folder from the user’s view. This is useful for shared folders that contain many users’ home directories, for example.

To enable access-based enumeration on a shared folder

  1. In Share and Storage Management, right-click the appropriate shared folder and then click Properties.

  2. On the Sharing tab, click Advanced.

  3. Select the Enable access-based enumeration checkbox and then click OK.

Additional considerations

  • Granting a user Full Control NTFS permission on a shared resource enables that user to take ownership of the folder or volume, unless the user is restricted in some other way. Be cautious in granting Full Control.

  • If you want to manage folder and volume access by using NTFS permissions exclusively, set share permissions to Full Control for Everyone. This simplifies management of share permissions, but NTFS permissions are more complex than share permissions.

  • NTFS permissions affect both local and remote access. NTFS permissions apply regardless of protocol. Share permissions, by contrast, apply only to shared network resources. Share permissions do not restrict access of any local user or terminal server user. Thus, share permissions do not provide privacy between users on a computer that is used by several users.

  • By default, the Everyone group does not include the Anonymous group, so permissions applied to the Everyone group do not affect the Anonymous group.

  • You cannot modify the access permissions of folders or volumes that are shared for administrative purposes, such as C$ and ADMIN$.

  • To open Share and Storage Management, click Start, point to Administrative Tools, and then click Share and Storage Management.

Additional references

  • View and Modify Shared Folder Properties

  • Share a Resource


Managing an Existing Volume

You can use Share and Storage Management to manage all volumes that are available on your server. The Volumes tab provides a list of all volumes that can be managed.

This section includes the following topics:

  • View and Modify Volume Properties

  • Format a Volume

  • Extend a Volume

  • Delete a Volume

Additional references

  • Provisioning Storage


View and Modify Volume Properties

You can use Share and Storage Management to view and modify volume settings, and to perform maintenance tasks like defragmenting, error checking, and backing up a volume.

Membership in Administrators, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To view or modify the properties of a volume

  1. On the Volumes tab, click the volume for which you want to view or modify properties.

  2. In the Actions pane, click Properties.

  3. Modify settings, as appropriate, and then click OK.

    -Or-

    On the Tools tab, select the volume maintenance action that you want to perform.

Additional considerations

  • To open Share and Storage Management, click Start, point to Administrative Tools, and then click Share and Storage Management.

Additional references

  • Managing an Existing Volume

  • Provisioning Storage


Format a Volume

You can format any volume listed on the Volumes tab in Share and Storage Management, except for the following volumes:

  • A system, boot, or read-only volume

  • A volume that does not have a drive letter assigned to it

Caution

Formatting a volume deletes all data on the volume. If the volume contains any data, make certain that it has been appropriately backed up before formatting the volume.

Membership in Administrators, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To format a volume

  1. On the Volumes tab, click the volume that you want to format.

  2. In the Actions pane, click Format.

  3. In the Format dialog box, specify the appropriate settings, and then click Start.

  4. When prompted to confirm the action, click OK.

Additional considerations

  • To assign a drive letter to a volume, use Disk Management.

  • To open Share and Storage Management, click Start, point to Administrative Tools, and then click Share and Storage Management.

Additional references

  • Managing an Existing Volume

  • Provisioning Storage


Extend a Volume

You can use Share and Storage Management to allocate more storage space for an existing volume by extending it.

Extending a volume requires the following:

  • If the volume was created on a local disk:

    • The disk that hosts the volume must have free space available.

    • There cannot be another volume on the disk located immediately after the volume that you want to extend (that is, the volume to extend must be the last volume on the disk).

  • If the volume was created on a storage subsystem:

    • If the LUN that the volume resides on needs to be extended, free space must be available on the subsystem.

    • The volume must be the last partition on the LUN, or the LUN immediately following the volume to be extended must have non-allocated free space available.

Membership in Administrators, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To extend a volume

  1. On the Volumes tab, click the volume that you want to extend.

  2. In the Actions pane, click Extend.

  3. In the Extend Volume dialog box, specify the new size, and then click OK.

Additional considerations

  • If the volume was created on a storage subsystem, extending the volume automatically extends the LUN associated with the volume, if necessary.

  • To open Share and Storage Management, click Start, point to Administrative Tools, and then click Share and Storage Management.

Additional references

  • Managing an Existing Volume

  • Provisioning Storage


Delete a Volume

You can delete any volume listed on the Volumes tab in Share and Storage Management, except for a system or boot volume.

Caution

When you delete a volume, all data and configuration information for the volume is also deleted, including all shared folders. If the volume contains any data, make certain that it has been appropriately backed up before deleting the volume.

Membership in Administrators, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To delete a volume

  1. On the Volumes tab, click the volume that you want to delete.

  2. In the Actions pane, click Delete.

  3. In the Delete Volume dialog box, review the warning and, if you still want to continue, select Yes, and then click OK.

Additional considerations

  • If the volume that you delete is the last volume on a LUN, the LUN is reclaimed and the space is then available for creating new LUNs.

  • If the volume you deleted is not the last volume on a LUN, you can use Disk Management to create a new volume in the space that was previously allocated to the deleted volume.

  • To open Share and Storage Management, click Start, point to Administrative Tools, and then click Share and Storage Management.

Additional references

  • Managing an Existing Volume

  • Provisioning Storage


Managing Shared Resources and Storage on a Remote Computer

To manage shared resources and storage on a remote computer, you can connect to the computer from Share and Storage Management.

Note

Share and Storage Management can manage resources on either the local computer or a remote computer, but not both at the same time.

To connect to a remote computer from Share and Storage Management

  1. In Administrative Tools, click Share and Storage Management.

  2. In the console tree, right-click Share and Storage Management, and then click Connect to another Computer.

  3. In the Connect to Another Computer dialog box, click Another computer. Then type the name of the server you want to connect to, or click Browse to search for a remote computer.

  4. Click OK.
Important

The Connect to another Computer option is available only when you open Share and Storage Management from Administrative Tools. When you access Share and Storage Management from Server Manager, this option is not available.

Additional considerations

  • You must be logged on to the local computer with a domain account that is a member of the Administrators group on the remote computer.

  • The remote computer must be running Windows Server 2008 or later.

  • The Remote Volume Management exception on both the local and the remote computer must be enabled. Enable this exception by using Windows Firewall in Control Panel.

  • You cannot create, view, or modify NFS-based shared resources on a remote computer.

  • If you connect remotely to a highly available file server instance, you will only be able to manage the clustered storage and shared resources that are available to that highly available file server instance.

  • If you connect remotely to a server in a failover cluster (a node), you will be able to manage the storage and shared resources that are available locally to that server, as well as the clustered storage and shared resources that are currently owned by that server in the cluster.

Additional references

  • Share and Storage Management


Troubleshooting Share and Storage Management

This topic lists some common issues that you may encounter when using Share and Storage Management. For more troubleshooting information, see http://go.microsoft.com/fwlink/?LinkId=94430.

What problem are you having?

  • The "On one or more disks available on this server" option in the Provision Storage Wizard is not available.

  • The "On a storage subsystem" option in the Provision Storage Wizard is not available.

  • I cannot modify the access permissions for a shared folder.

  • I cannot format a volume, and it is not a system or a boot volume.

  • There are no servers listed in the Server Access page of the Provision Storage Wizard.

  • I cannot connect to a remote computer using Share and Storage Management.

  • I cannot extend a volume, even though there is unallocated space available on the disk.

  • When creating a new shared volume using the Provision a Shared Folder Wizard, I cannot select the NFS protocol in the Share Protocols page.
The "On one or more disks available on this server" option in the Provision Storage Wizard is not available.
  • Cause: There is no unallocated space left on any of the disks available on your server.

  • Solution: Use Disk Management to free up space on one of the disks available on your server, or install a new disk.

The "On a storage subsystem" option in the Provision Storage Wizard is not available.
  • Cause: Possible causes include:

    • There are no disk storage subsystems that support Virtual Disk Service (VDS) connected to your server, or the VDS hardware providers for the storage subsystems have not been installed.

    • There is no storage space available on any of the subsystems that are connected to your server.

  • Solution: Contact the manufacturer of each disk storage subsystem and verify that the storage subsystem supports VDS. If it supports VDS, install the VDS hardware provider for that subsystem. Finally, ensure that there is storage space available on at least one of the subsystems that are connected to your server.

I cannot modify the access permissions for a shared folder.
  • Cause: You are trying to modify the access permissions of a folder or volume that was shared for administrative purposes, such as C$ and ADMIN$.

  • Solution: Use the Provision a Shared Folder Wizard to create a new shared resource for the same folder or volume, and assign permissions to it.

I cannot format a volume, and it is not a system or a boot volume.
  • Cause: The volume does not have a drive letter assigned to it.

  • Solution: To assign a drive letter to a volume, use Disk Management.

There are no servers listed in the Server Access page of the Provision Storage Wizard.
  • Cause: No server connections have been configured using Storage Manager for SANs.

  • Solution: Use Storage Manager for SANs to configure server connections. For more information, see Manage Server Connections (http://go.microsoft.com/fwlink/?LinkId=94431).

    Note

    Storage Manager for SANs is an optional feature and is not installed by default. If you have not already installed it, you can do so using Server Manager (in the Features node, click Add Features).

I cannot connect to a remote computer using Share and Storage Management.
  • Cause: The Remote Volume Management exception on the local or remote computer is not enabled.

  • Solution: Use Windows Firewall in Control Panel to enable the Remote Volume Management exception on both the local and the remote computer.

I cannot extend a volume, even though there is unallocated space available on the disk.
  • Cause: The unallocated disk space is not located immediately after the volume you want to extend.

  • Solution: Use Disk Management to extend the volume onto another disk.

When creating a new shared volume using the Provision a Shared Folder Wizard, I cannot select the NFS protocol in the Share Protocols page.
  • Cause: Services for Network File System (NFS) has not been installed.

  • Solution: Install the Services for Network File System (NFS) role service using Server Manager.

Additional references

  • Share and Storage Management